---
updatedAt: 2026-07-15T02:08:15.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Polkadot via Substrate Sidecar API

> 🚧 Substrate API Sidecar is going to be deprecated
>
> Sidecar is being replaced by the [Polkadot REST API](https://paritytech.github.io/polkadot-rest-api/). The new API is not a drop-in replacement, endpoints now include a `/v1/` prefix and some argument names have changed. See the [migration guide](https://paritytech.github.io/polkadot-rest-api/#guide-migration) to update your integration.

**Step 1:** To access Polkadot via Substrate Sidecar, use the following native access endpoint:

* **Network:** Polkadot Mainnet
* **Request Type:** POST / GET

```
https://svc.blockdaemon.com/polkadot/mainnet/native
```

* **Network:** Polkadot Westend
* **Request Type:** POST / GET

```
https://svc.blockdaemon.com/polkadot/westend/native
```

* **Network:** Polkadot Mainnet Asset Hub
* **Request Type:** POST / GET

```
https://svc.blockdaemon.com/polkadot/mainnet/native/assethub
```

* **Network:** Polkadot Westend Asset Hub
* **Request Type:** POST / GET

```
https://svc.blockdaemon.com/polkadot/westend/native/assethub
```

**Step 2:** Authenticate your request using your API key. You can include the API key using either of the following headers:

```curl Bearer Token
Authorization: Bearer YOUR_API_KEY
```

```curl X-API-Key
X-API-Key: YOUR_API_KEY
```

**Step 3:** Add a Substrate Sidecar method at the end of the query:

> Learn more about Polkadot Substrate Sidecar methods [here](https://docs.blockdaemon.com/reference/polkadot-rest-methods-rpc-api).

```
https://svc.blockdaemon.com/polkadot/mainnet/native/YOUR_METHOD
```

**Step 4:** For POST requests, specify the required data in the request body.

## Example Request for Substrate Sidecar API

Here is a cURL example for using **GET /blocks/head/header** to get the header of the most recently finalized block in Polkadot Mainnet:

```curl
curl -X GET \
https://svc.blockdaemon.com/polkadot/mainnet/native/blocks/head/header \
-H 'Authorization: Bearer YOUR_API_KEY'
```

The following is a typical response you will get:

```json
{
    "parentHash": "0xce2dacd2a92d2ae272786c9fcca3f7bd831ef0f87fca252442a0e698a3366490",
    "number": "11557833",
    "stateRoot": "0xec013a64ddfc05f4a1fcc84e2a15d6e158fbd88fce541b7b96ed40c3d4ba6c40",
    "extrinsicsRoot": "0x4ebf6e119dff512925598aade56145811aa09f459f816f8e77dc8b9c396de2ec",
    "digest": {
        "logs": [
            {
                "preRuntime": [
                    "0x42414245",
                    "0x01b90000002a257e10000000000a154a6d22a07fcbb4769a5bec0983edba50d356753f6f006a795dca69c8462230b43eafb92eb8ed56beb9b28e1f399f910913d46cc974877876f826f0f7310fca528c6f73ae6acba72094a01659796f47701145357add6db6dbe7978cded101"
                ]
            },
            {
                "seal": [
                    "0x42414245",
                    "0xfc0ffcf11176d71725bf8f14e0691185a0159a3d06ce59811c09305b0df0b37c1949883a28837403feb225229923d53bbca2c4dcf82b8251f2aca964beedb385"
                ]
            }
        ]
    }
}
```

## 👋 Need Help?

Contact us through [email](mailto:support@blockdaemon.com) or our [support page](https://www.blockdaemon.com/support) for any issues, bugs, or assistance you may need.